Last modified: 2014-08-08 18:22:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 68318 - Bugzilla component for mediawiki/services/jobrunner with appropriate default CC
Bugzilla component for mediawiki/services/jobrunner with appropriate default CC
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Bugzilla (Other open bugs)
wmf-deployment
All All
: Unprioritized normal (vote)
: ---
Assigned To: Andre Klapper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-21 11:47 UTC by Antoine "hashar" Musso (WMF)
Modified: 2014-08-08 18:22 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2014-07-21 11:47:50 UTC
Aaron Schulz and Ori Livneh (CCed) ported the job runner from shell to PHP. It is no living at mediawiki/services/jobrunner.git

We could use a component in Bugzilla for it with Aaron and Ori CCed by default so they get aware of bug reported to them.


I guess MediaWiki -> Jobrunner  would work.
Comment 1 Andre Klapper 2014-07-22 16:15:12 UTC
What would be a description for this component? Especially so that people have a better chance to get the difference to the existing JobQueue component?
Comment 2 Antoine "hashar" Musso (WMF) 2014-08-05 09:56:08 UTC
I would go with: MediaWiki > Jobrunner

Description: Service processing MediaWiki job queue (mediawiki/services/jobrunner.git).

CC: Aaron Schulz and Ori Livneh
Comment 3 Antoine "hashar" Musso (WMF) 2014-08-08 14:23:07 UTC
Bug to move under that new component: bug 69272
Comment 4 Andre Klapper 2014-08-08 15:51:56 UTC
Component created; though still not sure if people will get the difference to "JobQueue" when reading https://bugzilla.wikimedia.org/describecomponents.cgi?product=MediaWiki .
Comment 5 Andre Klapper 2014-08-08 15:52:55 UTC
(In reply to Antoine "hashar" Musso from comment #3)
> Bug to move under that new component: bug 69272

I can't judge if that's a beta cluster conf issue or a jobrunner code issue, but feel free to move it now.
Comment 6 Antoine "hashar" Musso (WMF) 2014-08-08 18:22:57 UTC
Thank you Andre!

Bug 69272 turned out to be a beta cluster misconfiguration + software being outdated.  So I am leaving the bug where it is.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links